Bug 116040 - no refresh > 60 Hz for i810
no refresh > 60 Hz for i810
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://bugs.xfree86.org/show_bug.cgi?...
: Triaged
: 117581 (view as bug list)
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2004-02-17 14:36 EST by xnovae
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2005-501
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-15 04:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
potential fix for bug 116040, edited to apply (917 bytes, patch)
2004-07-31 15:48 EDT, Barry K. Nathan
no flags Details | Diff

  None (edit)
Description xnovae 2004-02-17 14:36:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I cannot get a refresh rate greater than 60 Hz with my i810 (stock
equipment in Dell Dimension 2400 with a 845G integrated chipset).  

I believe this is a bug in XFree86 which is discussed in detail (and
fixed?) at

http://bugs.xfree86.org/show_bug.cgi?id=1106

I'm not experienced enough to use the fix posted.  I was hoping
someone who is experienced enough might do so, and make new rpms.

Version-Release number of selected component (if applicable):
4.3.0-55

How reproducible:
Always

Steps to Reproduce:
1.run X with i810 845G chipset
2.
3.
    

Additional info:
Comment 1 Mike A. Harris 2004-02-25 19:40:49 EST
Including direct URL to patch for reference:

http://bugs.xfree86.org/attachment.cgi?id=1106&action=view
Comment 2 Mike A. Harris 2004-03-05 14:01:00 EST
*** Bug 117581 has been marked as a duplicate of this bug. ***
Comment 3 Mike A. Harris 2004-03-05 14:04:30 EST
Just a note to others who may be having this problem on a different
OS release, that our XFree86 4.3.0 packaging is shared at the
src.rpm level between Red Hat Linux 9, Red Hat Enterprise Linux 3,
Fedora Core 1, and Fedora development.

When these types of issues get addressed, they usually will go into
Fedora devel, and then after some testing has occured and the fixes
believed to be safe, the fix is enabled for other OS builds as well.

Comment 4 Carol Tardif 2004-03-10 16:47:14 EST
Just to let you know the the patch
http://bugs.xfree86.org/attachment.cgi?id=1106&action=view is not
doing the job. I just used it with XFree86-4.3.0-63.src.rpm and the
trouble is still there. I have the same hardware as xnovae.
The fix needed is
http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c?rev=1.48&content-type=text/x-cvsweb-markup

Right now i'm using the XFree86 4.0 binaries provided from XFree and
it's working, except that my kmail can't start maybe because the stuff
from Xfree don't have all the patch Fedora as. So now I'm waiting for
a rpm from Fedora.
Comment 5 Barry K. Nathan 2004-07-31 01:23:01 EDT
I've hit this bug on Tao Linux 1 Update 2 (essentially a recompile of
RHEL 3U2), with a Dell Dimension 2400.

Carol, that link seems to be an entire driver file, and not just an
isolated fix. I *think* the following should be an isolated fix,
however (link split across multiple lines to make sure I don't
accidentally make this bug too wide):
http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/drivers
/i810/i830_driver.c.diff?r1=text&tr1=1.48&r2=text&tr2=1.49&diff_
format=u

I haven't tried this patch yet so I don't know that's it's really the
fix, but it might be worth looking into. (Perhaps I will set up one of
my test systems with RHEL3 U3 beta and try patching XFree86 on that.)
Comment 6 Barry K. Nathan 2004-07-31 15:48:17 EDT
Created attachment 102337 [details]
potential fix for bug 116040, edited to apply

This is the patch I previously linked to, with CVS revision garbage removed so
that it actually applies when added to the XFree86 RPM. I'm building new
XFree86 packages now on RHEL3 U3 beta, so that I can see if this patch actually
does the job...
Comment 7 Barry K. Nathan 2004-07-31 19:30:47 EDT
Looking at the logs on the affected machine, the patch appears to
work. (I haven't looked at the machine in person to verify this, yet.)
Comment 8 Barry K. Nathan 2004-08-02 21:50:00 EDT
Ok, I've verified in person now, the patch fixes the problem.

Would it be possible to include this patch in a future XFree86 package
for RHEL3 U3 or U4?
Comment 9 Mike A. Harris 2004-08-03 04:01:32 EDT
Patches which are included in current XFree86 development CVS, or
are part of XFree86 4.4.0 or are under the XFree86 version 1.1
license, which includes all code written by David Dawes of the
XFree86 project, are under an incompatible source code license
to which the XFree86 and X.Org X11 software Red Hat ships is licensed
under, and are not acceptable for inclusion.

In order for us to include a fix for this problem, someone needs
to review the existing fix and document what it is doing, and pass
that information on to another developer who has not looked at the
XFree86 source code of the fix.  Then someone can re-implement
a similar fix without being tainted by the XFree86 source code.

Once such a patch has been written, it'll need to be submitted by
someone (preferably the original author) to X.Org, which is our
current upstream, and under an MIT/X11 style license.  (Assuming
such a fix isn't in X.Org CVS already - I haven't checked, but
it's also recommended that someone test the current X.Org CVS
to determine if it already fixes the issue.)

Once the patch gets committed to the X.Org CVS repository, we can
consider applying it to future builds of existing X.Org and XFree86
releases.

I've been tainted by having looked at the patch and then determined
that it was written by David, so I'm unable to write a replacement.
If someone else who isn't tainted can write one, please submit
the fix to http://bugs.freedesktop.org in the "xorg" component.
Attach the URL here, and we'll track progress on the issue upstream.

Thanks in advance.
Comment 10 Barry K. Nathan 2004-08-03 14:29:38 EDT
Aaaargh, I forgot about that whole license thing... :(

Xorg in FC2 works fine, so it must have a fix already...
Comment 11 Barry K. Nathan 2004-08-03 15:09:47 EDT
The *exact same* code is present in FC2 xorg-x11. Either the code
isn't XFree86 1.1-licensed after all, or XFree86 1.1-licensed code
slipped into Xorg...
Comment 12 Barry K. Nathan 2004-08-03 16:01:24 EDT
David Dawes committed the driver patch on 2004-01-25 but did not
commit the new license to XFree86 CVS until 2004-02-13. Therefore this
patch is subject to the old license, not the new one (and neither one
of us is tainted).
Comment 13 Barry K. Nathan 2004-09-23 05:54:30 EDT
Obviously this patch didn't make it into RHEL3 U3 (that's not a
complaint, just a neutral statement of fact). Any chance for U4 or U5?
(Does Red Hat still believe the patch is legally questionable?)
Comment 14 Mike A. Harris 2004-09-23 07:12:21 EDT
Hi Barry,

Thanks for investigating the code in X.Org, and confirming it in
the last few comments.  If the code is in X.Org already, then I
believe it is reasonably safe to assume the licensing of the
code has been taken care of by X.Org.  Under this circumstance
it is reasonable for us to review this patch for consideration for
RHEL3 U4.

We will track this issue as a candidate for RHEL3 U4.  Once it
has been reviewed, we'll provide a status update, etc.

Thanks for investigating this in X.Org CVS.

Comment 17 Mike A. Harris 2004-11-29 16:20:36 EST
Bug was still marked against FC1 so it seems to have slipped
between the cracks.  I've reassigned it to RHEL3.

Comment 22 Barry K. Nathan 2005-05-17 20:14:03 EDT
Has this patch been reviewed yet?
Comment 24 Mike A. Harris 2005-06-21 15:15:33 EDT
(In reply to comment #22)
> Has this patch been reviewed yet?

Yes, it is on our proposed candidate list for possible inclusion in a future
update.  We'll provide status updates as things change.

Thanks.
Comment 27 Mike A. Harris 2005-06-29 13:30:28 EDT
Fixed in 4.3.0-86.EL.  Please test and report back.

Setting status to MODIFIED.
Comment 28 Red Hat Bugzilla 2005-09-15 04:46:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-501.html

Note You need to log in before you can comment on or make changes to this bug.